The WebIssues Client Manual
Desktop client for the WebIssues system
Home » Installation Guide
« Installation Guide
Compiling on Windows »

## Compiling on Linux

To compile the program you will need a C++ compiler (preferably gcc) and headers for the Qt library (if you use binary packages, make sure you have the appropriate `devel` package installed).

The typical procedure of building and installing the program is:

$ ./configure
$ make
# make install

Additional options that can be passed to the configure script:

`-prefix `DIR``

  Location where the package will be installed (default is `/usr/local`).

`-destdir `DIR``

  Destination directory prepended to the installation prefix (useful for creating distibution packages or testing installation).

`-qmake `PATH``

  Full path to the qmake tool (required if it cannot be found automatically).

`-debug`

  Build the application in debugging mode (with symbols and without optimizations).

« Installation Guide
Compiling on Windows »

Copyright © 2007-2008 WebIssues Team